Subject: RE: bug#1305: All code that currently beeps should use visual bellinstead

From: "Drew Adams" <[email-masked]>
Date: Sun, 9 Nov 2008 11:19:43 -0800

> > This possibility of turning off or down the bell at the 
> > computer level should not be removed.
> 
> I think you are barking the wrong tree: no one suggested to remove the
> possibility to shut up the bell.

If the bell is systematically replaced by the visible bell, then turning off the
sound at the computer level will not remove the distraction. The sound
distraction, which you can easily turn off outside Emacs, will have been
replaced by a sight distraction, which you cannot.

> > If you think there are currently too many places where 
> > Emacs beeps, try instead to remove some of those beeps on a
> > case-by-case basis.
> 
> That is what I suggested in the first place, and I still think it's
> the best alternative.

Two votes, then.